package tag;

import java.util.HashSet;
import java.util.Set;

public class TagMatcherRepository {

	Set<TagMatcher> tagMatchers = Set.of();

	public TagMatcherRepository(final TagPersistenceAdapter tagPersistenceAdapter, final Set<TagMatcher> staticTagMatchers) {
		tagMatchers.addAll(staticTagMatchers);
		tagMatchers.addAll(tagPersistenceAdapter.getCustomTagMatchers());
	}

	public Set<TagMatcher> getTagMatchers() {
		return new HashSet<>(tagMatchers);
	}
}
